[youtubei.js](../../../../README.md) / [Misc](../README.md) / EmojiRun

# Class: EmojiRun

Defined in: [src/parser/classes/misc/EmojiRun.ts:13](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/EmojiRun.ts#L13)

## Implements

- `Run`

## Constructors

### Constructor

> **new EmojiRun**(`data`): `EmojiRun`

Defined in: [src/parser/classes/misc/EmojiRun.ts:17](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/EmojiRun.ts#L17)

#### Parameters

##### data

[`RawNode`](../../../../type-aliases/RawNode.md)

#### Returns

`EmojiRun`

## Properties

### emoji

> **emoji**: `Emoji`

Defined in: [src/parser/classes/misc/EmojiRun.ts:15](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/EmojiRun.ts#L15)

***

### text

> **text**: `string`

Defined in: [src/parser/classes/misc/EmojiRun.ts:14](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/EmojiRun.ts#L14)

#### Implementation of

`Run.text`

## Methods

### toHTML()

> **toHTML**(): `string`

Defined in: [src/parser/classes/misc/EmojiRun.ts:37](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/EmojiRun.ts#L37)

#### Returns

`string`

#### Implementation of

`Run.toHTML`

***

### toString()

> **toString**(): `string`

Defined in: [src/parser/classes/misc/EmojiRun.ts:33](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/EmojiRun.ts#L33)

#### Returns

`string`

#### Implementation of

`Run.toString`
